# Uses of Class
it.tdlight.jni.TdApi.MessageCopyOptions

## Uses of TdApi.MessageCopyOptions in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.MessageCopyOptions
Modifier and Type
Field
Description
`TdApi.MessageCopyOptions`
TdApi.InputMessageForwarded.`copyOptions`
Options to be used to copy content of the message without reference to the original sender; pass null to forward the message as usual.
Constructors in it.tdlight.jni with parameters of type TdApi.MessageCopyOptions
Modifier
Constructor
Description
``
`InputMessageForwarded(long fromChatId, long messageId, boolean inGameShare, TdApi.MessageCopyOptions copyOptions)`
A forwarded message.